curl --request GET \
--url https://api.kombo.dev/v1/ai-apply/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombo.dev/v1/ai-apply/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/ai-apply/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"results": [
{
"id": "ADbmw5XSkeCSE1fAucoxEGnwZ",
"job_posting_id": "JDn252PEYa4rMhKbJBjtn3ng",
"status": "PENDING",
"candidate_email": "candidate@example.com",
"proxy_email": "candidate@proxied.com",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-03-02T23:12:32.000Z"
}
],
"next": null
}
}Get applications
Get all applications.
Authorizations
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
1 <= x <= 250Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of job posting IDs such as 89V6GEKpdZwqbxQz59n1ftFb,kcGHREEXCMF26Yhpuyh1gDVE.
Filter records whose updated_at is on or after this timestamp, in format YYYY-MM-DDTHH:mm:ss.sssZ. The comparison is inclusive (updated_at >= updated_after).
updated_at only moves on customer-facing changes, so it is stable for incremental polling. For job postings that includes availability, archival, URL, job code, and the current form revision. For applications that includes status, candidate email, and the linked job posting.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$Response
GET /ai-apply/applications Positive response
"success"Show child attributes
Show child attributes
{
"results": [
{
"id": "ADbmw5XSkeCSE1fAucoxEGnwZ",
"job_posting_id": "JDn252PEYa4rMhKbJBjtn3ng",
"status": "PENDING",
"candidate_email": "candidate@example.com",
"proxy_email": "candidate@proxied.com",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-03-02T23:12:32.000Z"
}
],
"next": null
}
Was this page helpful?